/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.seatunnel.app.service.impl;

import org.apache.seatunnel.app.permission.ISeatunnelPermissonService;
import org.apache.seatunnel.app.service.ISeatunnelBaseService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SeatunnelBaseServiceImpl implements ISeatunnelBaseService {

    @Autowired private ISeatunnelPermissonService iSeatunnelPermissonService;

    @Override
    public void funcPermissionCheck(String permissionKey, int userId) {
        iSeatunnelPermissonService.funcPermissionCheck(permissionKey, userId);
    }

    @Override
    public void funcAndResourcePermissionCheck(
            String permissionKey, String resourceType, List resourceCodes, int userId) {
        iSeatunnelPermissonService.funcAndResourcePermissionCheck(
                permissionKey, resourceType, resourceCodes, userId);
    }

    @Override
    public void resourcePostHandle(String sourceType, List resourceCodes, int userId) {
        iSeatunnelPermissonService.resourcePostHandle(sourceType, resourceCodes, userId);
    }

    @Override
    public List availableResourceRange(String resourceType, int userId) {
        return iSeatunnelPermissonService.availableResourceRange(resourceType, userId);
    }
}
