/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.seatunnel.scheduler.dolphinscheduler.dto;

import com.google.common.collect.Maps;
import lombok.Builder;
import lombok.Data;

import java.util.Map;

@Builder
@Data
public class OnlineCreateResourceDto {
    private String type;
    private int pid;
    private String currentDir;
    private String fileName;
    private String suffix;
    private String content;

    public Map<String, Object> toMap() {
        final Map<String, Object> map = Maps.newHashMap();
        map.put("type", type);
        map.put("pid", pid);
        map.put("currentDir", currentDir);
        map.put("fileName", fileName);
        map.put("suffix", suffix);
        map.put("content", content);
        return map;
    }
}
